ServerEvents.recipes(event => {
    event.remove({id: 'thermal:compat/farmersdelight/insolator_farmersdelight_rice'});
    event.remove({id: 'botanypots:farmersdelight/crop/rice'});
    event.remove({id: 'farmersdelight:cooking/steamed_rice'});

    event.replaceInput({output: 'farmersdeligh:pie_crust'}, 'minecraft:wheat', '#forge:flour')
});